package abmland.models.infrastructure;

import static abmland.common.Properties.INFRASTRUCTURE_AGENT_CONTEXT;
import static org.apache.log4j.Logger.getLogger;

import org.apache.log4j.Logger;

import abmland.data.Infrastructuretypes;

import repast.simphony.context.DefaultContext;

public class InfrastructureAgentContext extends
		DefaultContext<InfrastructureAgent> {

	private final Logger log = getLogger(getClass().getName());

	public InfrastructureAgentContext() {
		super(INFRASTRUCTURE_AGENT_CONTEXT);

		log.debug("Building " + INFRASTRUCTURE_AGENT_CONTEXT);
		
		InfrastructureAgent agent = null;
		
		/**
		 * Only public transport providers are added as agents
		 */
		agent = new InfrastructureAgent(Infrastructuretypes.PUBLICTRANSPORTPROVIDER);
		add(agent);
	}
}